Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Interface Selectors

public interface Selectors

Several standard file selectors.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary
`static FileSelector` | `EXCLUDE_SELF` A `FileSelector` that selects all the descendents of the base folder, but does not select the base folder itself.
`static FileSelector` | `SELECT_ALL` A `FileSelector` that selects the base file/folder, plus all its descendents.
`static FileSelector` | `SELECT_CHILDREN` A `FileSelector` that selects only the direct children of the base folder.
`static FileSelector` | `SELECT_FILES` A `FileSelector` that only files (not folders).
`static FileSelector` | `SELECT_FOLDERS` A `FileSelector` that only folders (not files).
`static FileSelector` | `SELECT_SELF` A `FileSelector` that selects only the base file/folder.
`static FileSelector` | `SELECT_SELF_AND_CHILDREN` A `FileSelector` that selects the base file/folder and its direct children.

Field Detail

### SELECT_SELF

    public static final FileSelector SELECT_SELF

  A `FileSelector` that selects only the base file/folder.

### SELECT_SELF_AND_CHILDREN

    public static final FileSelector SELECT_SELF_AND_CHILDREN

  A `FileSelector` that selects the base file/folder and its direct children.

### SELECT_CHILDREN

    public static final FileSelector SELECT_CHILDREN

  A `FileSelector` that selects only the direct children of the base folder.

### EXCLUDE_SELF

    public static final FileSelector EXCLUDE_SELF

  A `FileSelector` that selects all the descendents of the base folder, but does not select the base folder itself.

### SELECT_FILES

    public static final FileSelector SELECT_FILES

  A `FileSelector` that only files (not folders).

### SELECT_FOLDERS

    public static final FileSelector SELECT_FOLDERS

  A `FileSelector` that only folders (not files).

### SELECT_ALL

    public static final FileSelector SELECT_ALL

  A `FileSelector` that selects the base file/folder, plus all its descendents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.